# Generated by Django 5.0.6 on 2024-07-06 19:19

import django.utils.timezone
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("participation", "0019_note_observer_oral_note_observer_writing_and_more"),
    ]

    operations = [
        migrations.RenameModel(
            old_name="Synthesis",
            new_name="WrittenReview",
        ),
        migrations.AlterModelOptions(
            name="writtenreview",
            options={
                "ordering": ("passage__pool__round", "type"),
                "verbose_name": "written review",
                "verbose_name_plural": "written reviews",
            },
        ),
        migrations.RenameField(
            model_name="tournament",
            old_name="syntheses_first_phase_limit",
            new_name="reviews_first_phase_limit",
        ),
        migrations.RenameField(
            model_name="tournament",
            old_name="syntheses_second_phase_limit",
            new_name="reviews_second_phase_limit",
        ),
        migrations.RenameField(
            model_name="tournament",
            old_name="syntheses_third_phase_limit",
            new_name="reviews_third_phase_limit",
        ),
        migrations.AlterField(
            model_name="tournament",
            name="reviews_first_phase_limit",
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                verbose_name="limit date to upload the written reviews for the first phase",
            ),
        ),
        migrations.AlterField(
            model_name="tournament",
            name="reviews_second_phase_limit",
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                verbose_name="limit date to upload the written reviews for the second phase",
            ),
        ),
        migrations.AlterField(
            model_name="tournament",
            name="reviews_third_phase_limit",
            field=models.DateTimeField(
                default=django.utils.timezone.now,
                verbose_name="limit date to upload the written reviews for the third phase",
            ),
        ),
        migrations.AlterField(
            model_name="writtenreview",
            name="passage",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="written_reviews",
                to="participation.passage",
                verbose_name="passage",
            ),
        ),
    ]
